Skip to main content

Withdraw Company Follow Invitation

POST /api/v1/withdraw_follow_company_invite

This API allows the authenticated user to withdraw a previously sent invitation to follow a specific company on LinkedIn. You can obtain the invitation_id by calling the /api/v1/follow_company_invite API. In the response of this API, the field invitation_id is provided.

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.
invitation_idstringrequiredThe identifier for a connection invitation.

Sample Request

{
"accountId": "string",
"invitation_id": "string"
}

Responses

Webhook Events

Schema

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
withdrawnbooleanWhether the invitation was withdrawn.
invitation_idstringThe identifier for a connection invitation.

Sample Response

{
"status": "string",
"requestId": "string",
"result": {
"withdrawn": false,
"invitation_id": "string"
}
}
POST/api/v1/withdraw_follow_company_invite
x-api-key
x-api-secret